package com.xy.service;

import com.xy.dto.LoginDto;
import com.xy.dto.SatokenAuthorizeDto;
import com.xy.feign.AuthorizeFeign;
import com.xy.utils.R;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;
import org.springframework.web.bind.annotation.RequestBody;

/**
 * 权限校验 feign实现
 */
@Service
@AllArgsConstructor
public class AuthorizeServiceImpl implements AuthorizeService {

    private AuthorizeFeign authorizeFeign;

    @Override
    public R<Boolean> satokenAuthorize(@RequestBody SatokenAuthorizeDto satokenAuthorizeDto) {
        return authorizeFeign.satokenAuthorize(satokenAuthorizeDto);
    }

    @Override
    public R<String> login(@RequestBody LoginDto loginDto) {
        return authorizeFeign.login(loginDto);
    }
}
